## python-httpx-sse 0.4.0

=== debian/changelog ===
python-httpx-sse (0.4.0-3) unstable; urgency=medium

  * Team upload
  * [56c64f0] Migrate test case and docs to httpx 0.28

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Mar 2025 09:09:32 +0000

python-httpx-sse (0.4.0-2) unstable; urgency=medium

  * Team upload
  * [4660e46] d/copyright: Correct small spelling mistake
  * [6858840] d/control: Add python3-httpx to Depends

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 09 Sep 2024 20:43:33 +0200

python-httpx-sse (0.4.0-1) unstable; urgency=medium

  * [a95397e] New upstream version 0.4.0
  * [86df208] Initial Debianization
  * [9634c66] d/patches: Ignore coverage configuration
    (Closes: #1079089)

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Sat, 31 Aug 2024 03:52:14 +0530

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export PYBUILD_NAME=httpx_sse
export PYBUILD_TEST_ARGS="-k \
not test_asgi_test \
"

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .mypy_cache .pytest_cache

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 python3-all,
 python3-httpx,
 python3-pytest,
 python3-pytest-asyncio,
 python3-sse-starlette,
 python3-starlette,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/florimondmanca/httpx-sse.git \
      refs/tags/@ANY_VERSION@

## python-httpx-sse 0.4.1

=== Makefile ===
venv = venv
bin = ${venv}/bin/
pysources = src tests/

install: install-python

install-python:
	python3 -m venv ${venv}
	${bin}pip install -U pip wheel
	${bin}pip install -U build
	${bin}pip install -r requirements.txt

check:
	${bin}black --check --diff ${pysources}
	${bin}ruff check ${pysources}
	${bin}mypy ${pysources}

format:
	${bin}ruff check --fix ${pysources}
	${bin}black ${pysources}

build:
	${bin}python -m build

publish:
	${bin}twine upload dist/*

test:
	${bin}pytest

=== debian/changelog ===
python-httpx-sse (0.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 15 Aug 2025 11:32:56 +0100

=== debian/control ===
Source: python-httpx-sse
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Kathara Sasikumar <katharasasikumar007@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
Build-Depends-Indep:
 pybuild-plugin-pyproject,
 python3-httpx <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sse-starlette <!nocheck>,
 python3-starlette <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://github.com/florimondmanca/httpx-sse
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-httpx-sse
Vcs-Git: https://salsa.debian.org/python-team/packages/python-httpx-sse.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-httpx-sse
Architecture: all
Depends:
 python3-httpx,
 ${misc:Depends},
 ${python3:Depends},
Description: Consume Server-Sent Event (SSE) messages with HTTPX (Python 3)
 HTTPX-SSE simplifies the consumption of Server-Sent Events (SSE) in Python
 applications using the HTTPX library.
 .
 It provides convenient helpers for synchronous and asynchronous SSE
 connections with customizable retry and reconnection mechanisms.
 .
 This package installs the library for Python 3.

## python-httpx-sse 0.4.3

=== requirements.txt ===
-e .

# Tooling and tests.
black==23.12.0
httpx==0.26.0
mypy==1.8.0
pytest==7.4.3
pytest-asyncio==0.21.1
pytest-cov
ruff==0.1.9
sse-starlette==1.8.2
starlette==0.27.0 # sse-starlette installs fastapi which requires starlette==0.27.* at latest: https://github.com/sysid/sse-starlette/issues/85

# Releasing.
twine

=== debian/changelog ===
python-httpx-sse (0.4.3-3) unstable; urgency=medium

  * Team upload.
  * Fix clean target.
  * Drop "Priority: optional" (default).
  * Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Sat, 24 Jan 2026 19:50:00 +0100

python-httpx-sse (0.4.3-2) unstable; urgency=medium

  * Source only upload

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Wed, 05 Nov 2025 18:27:05 +0000

python-httpx-sse (0.4.3-1) unstable; urgency=medium

  * [c08e515] d/control: Bump Standards-Version to 4.7.2
  * [e18a3d4] d/copyright: Update year data
  * [d82f89c] d/control: Remove Rules-Requires-Root
  * [be6a439] New upstream version 0.4.3

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Mon, 03 Nov 2025 20:51:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-httpx-sse
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Kathara Sasikumar <katharasasikumar007@gmail.com>,
@@ -17,12 +16,11 @@
  python3-setuptools-scm,
  python3-sse-starlette <!nocheck>,
  python3-starlette <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/florimondmanca/httpx-sse
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-httpx-sse
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-httpx-sse.git
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-httpx-sse
 Architecture: all
